{{ define "title" }}{{ .Site.Params.name }} | {{ replace (T "extra_service_heading") "%name%" .Title }}{{ end }}

{{ define "meta_description" -}}
{{- $text := T "extra_service_meta_description" -}}
{{- $text = replace $text "%title%" .Title -}}
{{- $text -}}
{{- end }}

{{ define "head" }}

{{ $pageType := "Article" }}

{{ if eq .CurrentSection.File.Path "news/_index.md" }}
{{ $pageType = "NewsArticle" }}
{{ end }}

{{ if eq .CurrentSection.File.Path "blog/_index.md" }}
{{ $pageType = "BlogPosting" }}
{{ end }}

<script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "{{ $pageType }}",
      "headline": "{{ .Title }}",
      "datePublished": "{{ .Date | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "dateModified": "{{ .Lastmod | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "author": [{
          "@type": "Organization",
          "name": "etke.cc",
          "url": "https://etke.cc"
        }]
    }
</script>
{{ end }}

{{ define "main" }}
<div class="container">
    <nav aria-label="Breadcrumbs">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ "/help" | relLangURL }}">{{ T "help" }}</a></li>
            <li class="breadcrumb-item"><a href="{{ "/help/extras" | relLangURL }}">{{ T "extra_services" }}</a></li>
            <li class="breadcrumb-item" aria-current="page">{{ .Title }}</li>
        </ol>
    </nav>

    <h1 class="text-center">{{ replace (T "extra_service_heading") "%name%" .Title }}</h1>

    <div class="row">
        <div class="col-md-3 {{ if .Params.no_toc }}d-none{{ end }}">
            {{ .TableOfContents }}
        </div>
        <div class="{{ if .Params.no_toc }}col-md-12{{ else }}col-md-9{{ end }}">
            {{ if .Params.package }}
            <p>
                {{ $intro := T "component_intro" }}
                {{ $intro = replace $intro "%title%" .Title }}
                {{ $intro = replace $intro "%package%" (printf "<code>%s</code>" .Params.package ) }}
                {{ $intro | safeHTML }}

                {{ partial "component-related-navigation.html" .Params }}
            </p>
            {{ else }}
            <p>{{ partial "component-related-navigation.html" .Params }}</p>
            {{ end }}

            {{ .Content }}
        </div>
    </div>
</div>

{{ partial "no-server-yet.html" . }}
{{ end }}
